<?php
/*
Plugin Name:	Easy Related Postss
Plugin URI:		http://showcase.xdark.eu/easy-related-posts/
Description:	Displays related posts in the end of each post or/and in sidebar
Version:		1.3
Author:			Panagiotis Vagenas
Author URI:		http://xdark.eu
License:		GPLv3: see license.txt included in plugin folder.
*/

add_action('wp_enqueue_scripts','erp_stylesheet_loader');
add_action('admin_enqueue_scripts','erp_stylesheet_loader');

/**
 * Load the plugins stylesheet
 *
 * @package WordPress
 * @since 1.0
*/
function erp_stylesheet_loader(){
	wp_register_style('erpAdminStyle', plugins_url('inc/css/erpAdminStyle.css',__FILE__));
	wp_enqueue_style('erpAdminStyle');
	wp_register_style('erpFrntendStyle', plugins_url('inc/css/erpFrntendStyle.css',__FILE__));
	wp_enqueue_style('erpFrntendStyle');
}

/****************************************************************************/


if (is_admin()){
	require_once plugin_dir_path(__FILE__) . 'erp_admin.php';
	$setrend = new SetingsRenderer();
	require_once plugin_dir_path(__FILE__) . 'erp_widget.php';
	require_once plugin_dir_path(__FILE__) . 'erp_display.php';
	$erpDisplayNow = new erpDisplayC('erpOpts');
} else {
	require_once plugin_dir_path(__FILE__) . 'erp_widget.php';
	require_once plugin_dir_path(__FILE__) . 'erp_display.php';
	$erpDisplayNow = new erpDisplayC( 'erpOpts' );
}
/****************************************************************************/

/**
 * Initialize options upon activation
 *
 * @package Wordpress
 * @since 1.0
 */
function ErpActivate() {
	require_once plugin_dir_path(__FILE__) . 'erp_activation.php';
	$GLOBALS['erpActivator'] =new erpActivator();
	$GLOBALS['erpActivator']->Activate();
}
register_activation_hook( plugin_dir_path(__FILE__) . 'easy_related_posts.php', 'ErpActivate' );

?>